nxt.addons

## Class ChainWrapper

- java.lang.Object
- - nxt.addons.ChainWrapper

-     public class ChainWrapper
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDbSchema()`
    `int` | `getDecimals()`
    `java.util.Set<APIEnum>` | `getDisabledAPIs()`
    `java.util.Set<APITag>` | `getDisabledAPITags()`
    `java.util.Set<TransactionType>` | `getDisabledTransactionTypes()`
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `long` | `getOneCoin()`
    `java.lang.String` | `getSchemaTable(java.lang.String table)`
    `long` | `getTotalAmount()`
    `boolean` | `isAllowed(TransactionType transactionType)`
    `boolean` | `isChildChain()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isChildChain

          public boolean isChildChain()

    - #### getName

          public java.lang.String getName()

    - #### getId

          public final int getId()

    - #### getDecimals

          public final int getDecimals()

    - #### getTotalAmount

          public final long getTotalAmount()

    - #### getOneCoin

          public final long getOneCoin()

    - #### getDbSchema

          public java.lang.String getDbSchema()

    - #### getSchemaTable

          public final java.lang.String getSchemaTable(java.lang.String table)

    - #### isAllowed

          public boolean isAllowed(TransactionType transactionType)

    - #### getDisabledTransactionTypes

          public java.util.Set<TransactionType> getDisabledTransactionTypes()

    - #### getDisabledAPIs

          public java.util.Set<APIEnum> getDisabledAPIs()

    - #### getDisabledAPITags

          public java.util.Set<APITag> getDisabledAPITags()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`